<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [promoteStock](./bitburner.darknet.promotestock.md)

## Darknet.promoteStock() method

Spends some time spreading propaganda about a stock to increase its volatility. This does not actually change the stock's forecasts, but a savvy investor can take advantage of the chaos. The effect scales with charisma and the number of threads used, but degrades over time if left alone.

**Signature:**

```typescript
promoteStock(sym: string): Promise<DarknetResult>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sym


</td><td>

string


</td><td>

Stock symbol.


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;[DarknetResult](./bitburner.darknetresult.md)<!-- -->&gt;

A promise that resolves to a [DarknetResult](./bitburner.darknetresult.md) object.

## Remarks

RAM cost: 2 GB

